# Uses of Class
serp.bytecode.IfInstruction

Packages that use IfInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of IfInstruction in serp.bytecode

Methods in serp.bytecode that return IfInstruction
Modifier and Type
Method
Description
`IfInstruction`
Code.`ifacmpeq()`
The `ifacmpeq` opcode.
`IfInstruction`
Code.`ifacmpne()`
The `ifacmpne` opcode.
`IfInstruction`
Code.`ifeq()`
The `ifeq` opcode.
`IfInstruction`
Code.`ifge()`
The `ifge` opcode.
`IfInstruction`
Code.`ifgt()`
The `ifgt` opcode.
`IfInstruction`
Code.`ificmpeq()`
The `ificmpeq` opcode.
`IfInstruction`
Code.`ificmpge()`
The `ificmpge` opcode.
`IfInstruction`
Code.`ificmpgt()`
The `ificmpgt` opcode.
`IfInstruction`
Code.`ificmple()`
The `ificmple` opcode.
`IfInstruction`
Code.`ificmplt()`
The `ificmplt` opcode.
`IfInstruction`
Code.`ificmpne()`
The `ificmpne` opcode.
`IfInstruction`
Code.`ifle()`
The `ifle` opcode.
`IfInstruction`
Code.`iflt()`
The `iflt` opcode.
`IfInstruction`
Code.`ifne()`
The `ifne` opcode.
`IfInstruction`
Code.`ifnonnull()`
The `ifnonnull` opcode.
`IfInstruction`
Code.`ifnull()`
The `ifnull` opcode.

## Uses of IfInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type IfInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterIfInstruction(IfInstruction obj)`
`void`
PrettyPrintVisitor.`enterIfInstruction(IfInstruction obj)`
`void`
BCVisitor.`exitIfInstruction(IfInstruction obj)`